# Generated by Django 4.0.7 on 2023-01-04 06:24

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0040_alter_mainprogrampage_program"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug části programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.RichTextBlock(
                                        label="Perex části programu", required=False
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ],
                            label="Část programu",
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Program",
            ),
        ),
    ]
